## org.codehaus.groovy.grails.commons.spring
Class GrailsApplicationContext

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.springframework.context.support.AbstractApplicationContext
              org.springframework.context.support.GenericApplicationContext
                  org.springframework.context.support.StaticApplicationContext
                      org.codehaus.groovy.grails.commons.spring.GrailsApplicationContext

All Implemented Interfaces:
  groovy.lang.GroovyObject, BeanFactory, DisposableBean, HierarchicalBeanFactory, ListableBeanFactory, BeanDefinitionRegistry, ApplicationContext, ApplicationEventPublisher, ConfigurableApplicationContext, Lifecycle, MessageSource, AliasRegistry, ResourceLoader, ResourcePatternResolver

Direct Known Subclasses:
  GrailsWebApplicationContext

    public class GrailsApplicationContext

extends StaticApplicationContext
implements groovy.lang.GroovyObject

An ApplicationContext that extends StaticApplicationContext and implements GroovyObject such that beans can be retrieved with the dot de-reference syntax instead of using getBean('name')

Since:
  1.0

  Created: Nov 23, 2007
Author:
  Graeme Rocher

Field Summary
`protected groovy.lang.MetaClass` `metaClass`

Fields inherited from class org.springframework.context.support.AbstractApplicationContext
`APPLICATION_EVENT_MULTICASTER_BEAN_NAME, logger, MESSAGE_SOURCE_BEAN_NAME`

Fields inherited from interface org.springframework.context.ConfigurableApplicationContext
`CONFIG_LOCATION_DELIMITERS, LOAD_TIME_WEAVER_BEAN_NAME`

Fields inherited from interface org.springframework.beans.factory.BeanFactory
`FACTORY_BEAN_PREFIX`

Fields inherited from interface org.springframework.beans.factory.BeanFactory
`FACTORY_BEAN_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`GrailsApplicationContext()`
`GrailsApplicationContext(ApplicationContext parent)`

Method Summary
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Theme` `getTheme(String themeName)`
`Object` `invokeMethod(String name, Object args)`
`protected void` `onRefresh()` Initialize the theme capability.
`void` `setMetaClass(groovy.lang.MetaClass metaClass)`
`void` `setProperty(String property, Object newValue)`

Methods inherited from class org.springframework.context.support.StaticApplicationContext
`addMessage, getStaticMessageSource, registerPrototype, registerPrototype, registerSingleton, registerSingleton`

Methods inherited from class org.springframework.context.support.GenericApplicationContext
`closeBeanFactory, getBeanDefinition, getBeanFactory, getDefaultListableBeanFactory, getResource, getResources, isAlias, isBeanNameInUse, refreshBeanFactory, registerAlias, registerBeanDefinition, removeAlias, removeBeanDefinition, setParent, setResourceLoader`

Methods inherited from class org.springframework.context.support.AbstractApplicationContext

`addApplicationListener, addBeanFactoryPostProcessor, addListener, cancelRefresh, close, containsBean, containsBeanDefinition, containsLocalBean, destroy, destroyBeans, doClose, finishBeanFactoryInitialization, finishRefresh, getAliases, getApplicationListeners, getAutowireCapableBeanFactory, getBean, getBean, getBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanFactoryPostProcessors, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getDisplayName, getId, getInternalParentBeanFactory, getInternalParentMessageSource, getMessage, getMessage, getMessage, getParent, getParentBeanFactory, getResourcePatternResolver, getStartupDate, getType, initApplicationEventMulticaster, initMessageSource, invokeBeanFactoryPostProcessors, isActive, isPrototype, isRunning, isSingleton, isTypeMatch, obtainFreshBeanFactory, onClose, postProcessBeanFactory, prepareBeanFactory, prepareRefresh, publishEvent, refresh, registerBeanPostProcessors, registerListeners, registerShutdownHook, setDisplayName, setId, start, stop, toString`

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
`getClassLoader, getResourceByPath, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.support.BeanDefinitionRegistry
`containsBeanDefinition, getBeanDefinitionCount, getBeanDefinitionNames`

Methods inherited from interface org.springframework.core.AliasRegistry
`getAliases`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader`

Field Detail

### metaClass

    protected groovy.lang.MetaClass metaClass

Constructor Detail

### GrailsApplicationContext

    public GrailsApplicationContext(ApplicationContext parent)
                             throws BeansException

Throws:
  `BeansException`

### GrailsApplicationContext

    public GrailsApplicationContext()
                             throws BeansException

Throws:
  `BeansException`

Method Detail

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass metaClass)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### onRefresh

    protected void onRefresh()

  Initialize the theme capability.

  Overrides:
    `onRefresh` in class `AbstractApplicationContext`

### getTheme

    public Theme getTheme(String themeName)

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project